path: /build/build/glslang-dev-util-1.3.236.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-util/glslang -pv -t && \
    emerge -j ${JOBS} --nodeps dev-util/glslang
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/glslang && luet-portage --dir /pkgdir/glslang
    dev-util/glslang && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:5edb8f14f4b8cf200260dcc5cbce27dd7b865fb4de036306a98a967e9ffef938
  package:
    name: glslang
    version: 1.3.236.0
    category: dev-util
    requires:
    - name: spirv-tools
      version: '>=0'
      category: dev-util
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Khronos reference front-end for GLSL and ESSL, and sample SPIR-V
      generator
    uri:
    - https://www.khronos.org/opengles/sdk/tools/Reference-Compiler/ https://github.com/KhronosGroup/glslang
    license: BSD
    buildtimestamp: 2023-08-30 11:55:34.688637674 +0000 UTC m=+118.181756265
    labels:
      BDEPEND: '|| ( dev-lang/python:3.10 dev-lang/python:3.8 dev-lang/python:3.9
        dev-lang/python:3.7 ) dev-util/ninja >=dev-util/cmake-3.9.6'
      RDEPEND: '!<media-libs/shaderc-2020.1'
      emerge.packages: dev-util/glslang
      kit: core-gl-kit
      original.package.name: dev-util/glslang
      original.package.slot: "0"
      original.package.version: 1.3.236.0_p20221013
    treedir: /build/packages
  package_dir: /pkgdir/glslang
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 01948b66ffad89025548b51051e3c0acfd5f5a825c4c79db79479cb6a10cb365
compressiontype: zstd
files:
- usr/bin/glslangValidator
- usr/bin/spirv-remap
- usr/include/glslang/HLSL/hlslAttributes.h
- usr/include/glslang/HLSL/hlslGrammar.h
- usr/include/glslang/HLSL/hlslOpMap.h
- usr/include/glslang/HLSL/hlslParseHelper.h
- usr/include/glslang/HLSL/hlslParseables.h
- usr/include/glslang/HLSL/hlslScanContext.h
- usr/include/glslang/HLSL/hlslTokenStream.h
- usr/include/glslang/HLSL/hlslTokens.h
- usr/include/glslang/Include/BaseTypes.h
- usr/include/glslang/Include/Common.h
- usr/include/glslang/Include/ConstantUnion.h
- usr/include/glslang/Include/InfoSink.h
- usr/include/glslang/Include/InitializeGlobals.h
- usr/include/glslang/Include/PoolAlloc.h
- usr/include/glslang/Include/ResourceLimits.h
- usr/include/glslang/Include/ShHandle.h
- usr/include/glslang/Include/SpirvIntrinsics.h
- usr/include/glslang/Include/Types.h
- usr/include/glslang/Include/arrays.h
- usr/include/glslang/Include/glslang_c_interface.h
- usr/include/glslang/Include/glslang_c_shader_types.h
- usr/include/glslang/Include/intermediate.h
- usr/include/glslang/MachineIndependent/Initialize.h
- usr/include/glslang/MachineIndependent/LiveTraverser.h
- usr/include/glslang/MachineIndependent/ParseHelper.h
- usr/include/glslang/MachineIndependent/RemoveTree.h
- usr/include/glslang/MachineIndependent/Scan.h
- usr/include/glslang/MachineIndependent/ScanContext.h
- usr/include/glslang/MachineIndependent/SymbolTable.h
- usr/include/glslang/MachineIndependent/Versions.h
- usr/include/glslang/MachineIndependent/attribute.h
- usr/include/glslang/MachineIndependent/gl_types.h
- usr/include/glslang/MachineIndependent/glslang_tab.cpp.h
- usr/include/glslang/MachineIndependent/iomapper.h
- usr/include/glslang/MachineIndependent/localintermediate.h
- usr/include/glslang/MachineIndependent/parseVersions.h
- usr/include/glslang/MachineIndependent/preprocessor/PpContext.h
- usr/include/glslang/MachineIndependent/preprocessor/PpTokens.h
- usr/include/glslang/MachineIndependent/propagateNoContraction.h
- usr/include/glslang/MachineIndependent/reflection.h
- usr/include/glslang/Public/ShaderLang.h
- usr/include/glslang/SPIRV/GLSL.ext.AMD.h
- usr/include/glslang/SPIRV/GLSL.ext.EXT.h
- usr/include/glslang/SPIRV/GLSL.ext.KHR.h
- usr/include/glslang/SPIRV/GLSL.ext.NV.h
- usr/include/glslang/SPIRV/GLSL.std.450.h
- usr/include/glslang/SPIRV/GlslangToSpv.h
- usr/include/glslang/SPIRV/Logger.h
- usr/include/glslang/SPIRV/NonSemanticDebugPrintf.h
- usr/include/glslang/SPIRV/NonSemanticShaderDebugInfo100.h
- usr/include/glslang/SPIRV/SPVRemapper.h
- usr/include/glslang/SPIRV/SpvBuilder.h
- usr/include/glslang/SPIRV/SpvTools.h
- usr/include/glslang/SPIRV/bitutils.h
- usr/include/glslang/SPIRV/disassemble.h
- usr/include/glslang/SPIRV/doc.h
- usr/include/glslang/SPIRV/hex_float.h
- usr/include/glslang/SPIRV/spirv.hpp
- usr/include/glslang/SPIRV/spvIR.h
- usr/include/glslang/build_info.h
- usr/lib64/cmake/HLSLTargets.cmake
- usr/lib64/cmake/SPIRVTargets.cmake
- usr/lib64/cmake/SPVRemapperTargets.cmake
- usr/lib64/cmake/glslang/glslang-config-version.cmake
- usr/lib64/cmake/glslang/glslang-config.cmake
- usr/lib64/cmake/glslang/glslang-targets-gentoo.cmake
- usr/lib64/cmake/glslang/glslang-targets.cmake
- usr/lib64/cmake/glslang-default-resource-limitsTargets.cmake
- usr/lib64/cmake/glslangValidatorTargets.cmake
- usr/lib64/cmake/spirv-remapTargets.cmake
- usr/lib64/libHLSL.so
- usr/lib64/libOGLCompiler.a
- usr/lib64/libOSDependent.a
- usr/lib64/libSPIRV.so
- usr/lib64/libSPVRemapper.so
- usr/lib64/libglslang-default-resource-limits.so
- usr/lib64/libglslang.so
- usr/lib64/libglslang.so.11
- usr/lib64/libglslang.so.11.12.0
- usr/share/doc/glslang-1.3.236.0_p20221013/README-spirv-remap.txt.bz2
- usr/share/doc/glslang-1.3.236.0_p20221013/README.md.bz2
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/BDEPEND
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/BUILD_TIME
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/CATEGORY
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/CBUILD
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/CFLAGS
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/CHOST
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/CONTENTS
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/COUNTER
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/CXXFLAGS
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/DEFINED_PHASES
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/DESCRIPTION
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/EAPI
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/FEATURES
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/HOMEPAGE
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/INHERITED
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/IUSE
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/IUSE_EFFECTIVE
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/KEYWORDS
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/LDFLAGS
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/LICENSE
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/NEEDED
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/PF
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/PROVIDES
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/RDEPEND
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/REQUIRES
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/RESTRICT
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/SIZE
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/SLOT
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/USE
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/environment.bz2
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/glslang-1.3.236.0_p20221013.ebuild
- var/db/pkg/dev-util/glslang-1.3.236.0_p20221013/repository
package_cacheimage: ""
runtime:
  name: glslang
  version: 1.3.236.0
  category: dev-util
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Khronos reference front-end for GLSL and ESSL, and sample SPIR-V generator
  uri:
  - https://www.khronos.org/opengles/sdk/tools/Reference-Compiler/ https://github.com/KhronosGroup/glslang
  license: BSD
  labels:
    BDEPEND: '|| ( dev-lang/python:3.10 dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7
      ) dev-util/ninja >=dev-util/cmake-3.9.6'
    RDEPEND: '!<media-libs/shaderc-2020.1'
    emerge.packages: dev-util/glslang
    kit: core-gl-kit
    original.package.name: dev-util/glslang
    original.package.slot: "0"
    original.package.version: 1.3.236.0_p20221013
